package com.persagy.apm.diagnose.indicatorcompute.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-09-21 13:33:20
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询入参")
public class PageQueryProjectIndicatorComputeDTO extends PageDTO {
    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;
    
    @ApiModelProperty(value = "计算轮次", required = true)
    private Integer computeRound;
    
    @ApiModelProperty(value = "计算时间", required = true)
    private Date computeTime;
    
    @ApiModelProperty(value = "主键", required = true)
    private String id;
    
}
