package com.persagy.apm.diagnose.indicatorcompute.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-09-21 13:33:20
 */
@Data
@ApiModel(value = "列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ProjectIndicatorComputeListItemVO {
    @ApiModelProperty("项目id")
    private String projectId;
    
    @ApiModelProperty("计算轮次")
    private Integer computeRound;
    
    @ApiModelProperty("计算时间")
    private Date computeTime;
    
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("创建人")
    private String creator;
    
    @ApiModelProperty("创建时间")
    private Date creationTime;
    
    @ApiModelProperty("修改人")
    private String modifier;
    
    @ApiModelProperty("修改时间")
    private Date modifiedTime;
    
}
