package com.persagy.apm.diagnose.maintenance.model.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.json.JSONObject;

import java.util.List;

/**
 * 条件
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmCondition {
    private List<String> infoCodes;
    private List<List<CalculateMethodDTO>> triggerFrontend;
    private String triggerBackend;
    private Integer triggerUphold;
    private String alarmLevel;
    private Integer endUphold;
    private List<String> triggerRules;
    private List<List<CalculateMethodDTO>> endFrontend;
    private String endBackend;
    private List<String> endRules;
    private String effectTimeType;
    private JSONObject effectTimeDetail;
}
