package com.persagy.apm.diagnose.service.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author leifeng
 * @version 1.0.0
 * @ClassName CalculateMethodDTO
 * @Description 计算公式实体
 * @createTime 2021/9/23 15:12
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ObjIndicatorMethodDTO {
    private String objId;
    private String monitorIndicatorId;
    private String calculateMethodId;
}
